%define name mandrake_theme
%define version 0.1.1
%define release 1mdk
%define scriptdir %{_datadir}/bootsplash/scripts/
%define mdk_bg %{_datadir}/mdk/backgrounds/

Summary: The default mandrake theme for bootsplash and desktop background
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Theme
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Prereq: bootsplash >= 2.0.2
BuildArchitectures: noarch
Provides: mandrake_theme

%description

This package contains the default bootsplash theme with its images and
configuration for different resolution as well as the lilo image and
the desktop background image.

%package discovery
Summary: Mandrake bootsplash discovery theme
Group: System/Configuration/Theme
Provides: mandrake_theme
Prereq: bootsplash >= 2.0.2

%description discovery

This package contains the discovery theme including the bootsplash
theme with its images and configuration for different resolution as
well as the lilo image and the desktop background image.

%package powerpack
Summary: Mandrake bootsplash discovery theme
Group: System/Configuration/Theme
Provides: mandrake_theme
Prereq: bootsplash >= 2.0.2

%description powerpack

This package contains the powerpack theme including the bootsplash
theme with its images and configuration for different resolution as
well as the lilo image and the desktop background image.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT

%post
if [ -z "$DURING_INSTALL" ]; then
  if [ -x %scriptdir/switch-themes ]; then 
      %scriptdir/switch-themes Mandrake
  fi
else
  if [ -f %_sysconfdir/sysconfig/bootsplash ]; then
    perl -pi -e 's/^\s*SPLASH=.*/SPLASH=auto/; s/^\s*THEME=.*/THEME=Mandrake/' %_sysconfdir/sysconfig/bootsplash
  fi
fi
if [ ! -f %mdk_bg/default.png -o -L %mdk_bg/default.png ]; then 
    rm -f %mdk_bg/default.png
    ln -s Mandrake.png %mdk_bg/default.png 
fi
if [ ! -f %mdk_bg/root/default.png -o -L %mdk_bg/root/default.png ]; then 
    rm -f %mdk_bg/root/default.png
    ln -s Mandrake-root.png %mdk_bg/root/default.png 
fi

%preun
if [ "$1" == "0" ]; then
  if [ -x %scriptdir/remove-theme ]; then 
      %scriptdir/remove-theme Mandrake
  fi 
  link=`readlink %mdk_bg/default.png`
  if [ "$link" == "Mandrake.png" ]; then rm -f %mdk_bg/default.png;fi
  link=`readlink %mdk_bg/root/default.png`
if [ "$link" == "Mandrake-root.png" ]; then rm -f %mdk_bg/root/default.png;fi
fi

%post powerpack
if [ -z "$DURING_INSTALL" ]; then
  if [ -x %scriptdir/switch-themes ]; then 
      %scriptdir/switch-themes Powerpack
  fi
else
  if [ -f %_sysconfdir/sysconfig/bootsplash ]; then
    perl -pi -e 's/^\s*SPLASH=.*/SPLASH=auto/; s/^\s*THEME=.*/THEME=Powerpack/' %_sysconfdir/sysconfig/bootsplash
  fi
fi
if [ ! -f %mdk_bg/default.png -o -L %mdk_bg/default.png ]; then 
    rm -f %mdk_bg/default.png
    ln -s Powerpack.png %mdk_bg/default.png 
fi
if [ ! -f %mdk_bg/root/default.png -o -L %mdk_bg/root/default.png ]; then 
    rm -f %mdk_bg/root/default.png
    ln -s Powerpack-root.png %mdk_bg/root/default.png 
fi

%preun powerpack
if [ "$1" == "0" ]; then
  if [ -x %scriptdir/remove-theme ]; then 
      %scriptdir/remove-theme Powerpack
  fi 
  link=`readlink %mdk_bg/default.png`
  if [ "$link" == "Powerpack.png" ]; then rm -f %mdk_bg/default.png;fi
  link=`readlink %mdk_bg/root/default.png`
  if [ "$link" == "Powerpack-root.png" ]; then rm -f %mdk_bg/root/default.png;fi
fi

%post discovery
if [ -z "$DURING_INSTALL" ]; then
  if [ -x %scriptdir/switch-themes ]; then 
      %scriptdir/switch-themes Discovery
  fi 
else
  if [ -f %_sysconfdir/sysconfig/bootsplash ]; then
    perl -pi -e 's/^\s*SPLASH=.*/SPLASH=auto/; s/^\s*THEME=.*/THEME=Discovery/' %_sysconfdir/sysconfig/bootsplash
  fi
fi
if [ ! -f %mdk_bg/default.png -o -L %mdk_bg/default.png ]; then 
    rm -f %mdk_bg/default.png
    ln -s Discovery.png %mdk_bg/default.png 
fi
if [ ! -f %mdk_bg/root/default.png -o -L %mdk_bg/root/default.png ]; then 
    rm -f %mdk_bg/root/default.png
    ln -s Discovery-root.png %mdk_bg/root/default.png 
fi

%preun discovery
if [ "$1" == "0" ]; then
  if [ -x %scriptdir/remove-theme ]; then 
      %scriptdir/remove-theme Discovery
  fi 
  link=`readlink %mdk_bg/default.png`
  if [ "$link" == "Discovery.png" ]; then rm -f %mdk_bg/default.png;fi
  link=`readlink %mdk_bg/root/default.png`
  if [ "$link" == "Discovery-root.png" ]; then rm -f %mdk_bg/root/default.png;fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_datadir/bootsplash/themes/Mandrake
%config(noreplace) %_sysconfdir/bootsplash/themes/Mandrake/*
%mdk_bg/Mandrake*
%mdk_bg/root/Mandrake*

%files powerpack
%defattr(-,root,root)
%_datadir/bootsplash/themes/Powerpack
%config(noreplace) %_sysconfdir/bootsplash/themes/Powerpack
%mdk_bg/Powerpack*
%mdk_bg/root/Powerpack*

%files discovery
%defattr(-,root,root)
%_datadir/bootsplash/themes/Discovery
%config(noreplace) %_sysconfdir/bootsplash/themes/Discovery
%mdk_bg/Discovery*
%mdk_bg/root/Discovery*

%changelog
* Sat Sep 20 2003 Warly <warly@mandrakesoft.com> 0.1.1-1mdk
- do nothing in %%post in upgrade

* Mon Sep 15 2003 Warly <warly@mandrakesoft.com> 0.1.0-1mdk
- replace black 1024 and 1280 images for powerpack and mandrake theme
- new lilo with progress bar

* Tue Sep  9 2003 Warly <warly@mandrakesoft.com> 0.0.9-1mdk
- I am dead
- fix text in 800x600 mandrake/powerpack theme
- fix post powerpack theme script

* Tue Sep  9 2003 Warly <warly@mandrakesoft.com> 0.0.8-1mdk
- next time I commit suicide

* Mon Sep  8 2003 Warly <warly@mandrakesoft.com> 0.0.7-1mdk
- fix progress bar position in 800x600 for default theme

* Fri Sep  5 2003 Warly <warly@mandrakesoft.com> 0.0.6-1mdk
- fix discovery 1024x768

* Fri Aug 29 2003 Warly <warly@mandrakesoft.com> 0.0.5-1mdk
- new discovery black background
- various post install script fixes
- new discovery lilo boot logo

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.4-1mdk
- s,backgrounds/mdk,mdk/backgrounds,
- fix remove_theme

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.3-1mdk
- fix theme installation during install

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.2-1mdk
- s,backgrounds,backgrounds/mdk,

* Mon Aug 25 2003 Warly <warly@mandrakesoft.com> 0.0.1-1mdk
- new theme package

# end of file
